BeforeAll {
    $Repo = Get-RepoPath
    Import-Module $Repo.Src.Manifest.Item.FullName -Force
    #$srcFile = Join-Path -Path $Repo.Src.Path -ChildPath 'FileLinter/Test-FileEOL.ps1'
    #. "$srcFile"
}
Describe 'Test-FileEOL' {
    Context 'Default tests' -Tag 'Default' {
        It 'Test Function' {
            { Get-Command -Name 'Test-FileEOL' -Module $Repo.Artifact } | Should -Not -Throw
        }

        It 'Test Help' {
            { Get-Help -Name 'Test-FileEOL' } | Should -Not -Throw
        }

        It 'Help Content' {
            $foo = Get-Help -Name 'Test-FileEOL'
            $foo.Synopsis.Length | Should -BeGreaterThan 5
            $foo.Description.Count | Should -BeGreaterOrEqual 1
            $foo.Description[0].Text.Length | Should -BeGreaterThan 5
        }
    }
    Context 'Coding tests' -Tag 'Unit' {
        It 'Should throw' {
            { Test-FileEOL -foo } | Should -Throw
        }
        It 'Should not throw' {
            { Test-FileEOL -Path $Repo.Src.Manifest.Item.FullName } | Should -Not -Throw
        }
        It 'Should be true' {
            Test-FileEOL -Path $Repo.Src.Manifest.Item.FullName | Should -Be $true
        }
        It 'Should be false' {
            Test-FileEOL -Path $Repo.Changelog.Path | Should -Be $false
        }
    }
}
